//
//  LHTesting.h
//  LHTest
//
//  Created by Tomas Franzén on 2007-02-03.
//  Copyright 2007 Lighthead Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface LHTesting : NSObject {
}

+ (int)runTests;
+ (void)assertEqualInt:(int)first correct:(int)second comment:(NSString*)comment;
+ (void)assertEqualObject:(id)first correct:(id)second comment:(NSString*)comment;
+ (void)assertIdenticalObject:(id)first correct:(id)second comment:(NSString*)comment;
+ (void)assertTrue:(BOOL)expression comment:(NSString*)comment;
+ (void)assertFalse:(BOOL)expression comment:(NSString*)comment;

@end


BOOL hasMethod(Class class, SEL selector);
BOOL classMethodIsInherited(Class class, SEL selector);
